/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_


/*******************************************************************************
 * Definitions
 ******************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/*******************************************************************************
 * API
 ******************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


/* PORTC3 (coord A11), J10[2]/J11[A38]/J11[A64]/UART1_RX */
#define BOARD_DEBUG_UART_RX_PERIPHERAL                                     UART1   /*!< Device name: UART1 */
#define BOARD_DEBUG_UART_RX_SIGNAL                                            RX   /*!< UART1 signal: RX */
#define BOARD_DEBUG_UART_RX_PIN_NAME                                    UART1_RX   /*!< Pin name */
#define BOARD_DEBUG_UART_RX_LABEL            "J10[2]/J11[A38]/J11[A64]/UART1_RX"   /*!< Label */
#define BOARD_DEBUG_UART_RX_NAME                                 "DEBUG_UART_RX"   /*!< Identifier name */

/* PORTC4 (coord A9), J11[A37]/J15[2]/J11[A69]/UART1_TX */
#define BOARD_DEBUG_UART_TX_PERIPHERAL                                     UART1   /*!< Device name: UART1 */
#define BOARD_DEBUG_UART_TX_SIGNAL                                            TX   /*!< UART1 signal: TX */
#define BOARD_DEBUG_UART_TX_PIN_NAME                                    UART1_TX   /*!< Pin name */
#define BOARD_DEBUG_UART_TX_LABEL            "J11[A37]/J15[2]/J11[A69]/UART1_TX"   /*!< Label */
#define BOARD_DEBUG_UART_TX_NAME                                 "DEBUG_UART_TX"   /*!< Identifier name */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/*******************************************************************************
 * EOF
 ******************************************************************************/
